package com.ygtx.emcs.activity.model;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 装箱明细对象 wm_package_line
 * 
 * @author yinjinlu
 * @date 2022-10-11
 */
public class WmPackageLine implements Serializable
{
    private Long lineId;
    private Long packageId;
    private Long materialStockId;
    private Long itemId;
    private String itemCode;
    private String itemName;
    private String specification;
    private BigDecimal quantityPackage;

    public Long getLineId() {
        return lineId;
    }

    public void setLineId(Long lineId) {
        this.lineId = lineId;
    }

    public Long getPackageId() {
        return packageId;
    }

    public void setPackageId(Long packageId) {
        this.packageId = packageId;
    }

    public Long getMaterialStockId() {
        return materialStockId;
    }

    public void setMaterialStockId(Long materialStockId) {
        this.materialStockId = materialStockId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public BigDecimal getQuantityPackage() {
        return quantityPackage;
    }

    public void setQuantityPackage(BigDecimal quantityPackage) {
        this.quantityPackage = quantityPackage;
    }
}
